libmbim-utils_1.18.0-1_i386.deb


Advertisement

Description

libmbim-utils - Utilities to use the MBIM protocol from the command line

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmbim-utils_1.18.0-1_i386.deb
Package name libmbim-utils
Package version 1.18.0
Package release 1
Package architecture i386
Package type deb
Category net
Homepage https://www.freedesktop.org/wiki/Software/libmbim/
License -
Maintainer Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
Download size 97.88 KB
Installed size 189.00 KB
libmbim is a glib-based library for talking to WWAN modems and devices
which speak the Mobile Interface Broadband Model (MBIM) protocol.
This package contains the utilities that make it easier to use MBIM
functionality from the command line.

Alternatives

Package Version Architecture Repository
libmbim-utils_1.18.0-1_amd64.deb 1.18.0 amd64 Debian Main
libmbim-utils - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.36
libmbim-glib4 >= 1.18.0
libmbim-proxy -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmbim-utils_1.18.0-1_i386.deb
Source Package libmbim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmbim-utils deb package:
    # sudo apt-get install libmbim-utils

Files

Path
/usr/bin/mbim-network
/usr/bin/mbimcli
/usr/share/bash-completion/completions/mbimcli
/usr/share/doc/libmbim-utils/changelog.Debian.gz
/usr/share/doc/libmbim-utils/changelog.gz
/usr/share/doc/libmbim-utils/copyright
/usr/share/man/man1/mbim-network.1.gz
/usr/share/man/man1/mbimcli.1.gz

Changelog

2019-02-05 - Till Kamppeter <till.kamppeter@gmail.com>
libmbim (1.18.0-1) unstable; urgency=medium
* New upstream release
- Needed by ModemManager 1.10.
* debian/libmbim-glib4.symbols: Updated symbols for new release.
2018-03-01 - Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
libmbim (1.16.0-1) unstable; urgency=medium
* New upstream release 1.16.0 (Closes: #887974)
* Adopting the package. (Closes: #888680)
* debian/control: bump libglib-dev Depends to (>= 2.36) as required by the
new release.
* debian/libmbim-glib4.symbols: update symbols for new release.
* debian/rules: add DPKG_GENSYMBOLS_CHECK_LEVEL=4; it's more verbose with
added or changed symbols then.
2017-11-21 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libmbim (1.14.2-2.1) unstable; urgency=medium
[ Manuel A. Fernandez Montecelo ]
* Non-maintainer upload.
[ Helmut Grohne ]
* Fix FTCBFS: Skip documentation in arch-only build. (Closes: #872813)
2017-10-21 - Michael Biebl <biebl@debian.org>
libmbim (1.14.2-2) unstable; urgency=medium
* Remove myself as Maintainer and reinstate Thomas Bechtold.
2017-08-31 - Michael Biebl <biebl@debian.org>
libmbim (1.14.2-1) unstable; urgency=medium
* New upstream version 1.14.2
* Bump debhelper compat level to 10 for automatic dh-autoreconf
* Update Vcs-* following the latest recommendation
* Bump Standards-Version to 4.1.0
* Switch to new dh_missing helper and use --fail-missing
2016-07-07 - Michael Biebl <biebl@debian.org>
libmbim (1.14.0-1) unstable; urgency=medium
* New upstream release.
* Explicitly build with udev support.
* Update symbols file.
* Bump Standards-Version to 3.9.8.
* Install bash-completion file for mbimcli.
2016-03-19 - Michael Biebl <biebl@debian.org>
libmbim (1.12.4-1) unstable; urgency=medium
[ Thomas Bechtold ]
* Set biebl@debian.org as new Maintainer and move myself to
Uploaders.
[ Michael Biebl ]
* New upstream release.
* Use https:// for upstream homepage.
* Drop libmbim-glib4-dbg now that we have automatic dbgsym packages.
* Ensure proper upgrade from libmbim-glib4-dbg to new dbgsym packages by
using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
accordingly.
* Bump Standards-Version to 3.9.7.
* Drop debian/mbimcli.1 since we use the upstream man page.
2015-05-07 - Michael Biebl <biebl@debian.org>
libmbim (1.12.2-2) unstable; urgency=medium
* Upload to unstable.
* Add myself to Uploaders.
2015-02-08 - Michael Biebl <biebl@debian.org>
libmbim (1.12.2-1) experimental; urgency=medium
* Team upload.
[ Marius B. Kotsbak ]
* Imported Upstream version 1.12.2
* Update debian/libmbim-glib4.symbols for new upstream release.
* Update Debian standards version to the latest.
* Add experimental branch config in gbp.conf.
[ Michael Biebl ]
* Update Vcs-* to use canonical URLs, use cgit and https for Vcs-Browser.
2014-12-19 - Jonathan Wiltshire <jmw@debian.org>
libmbim (1.10.0-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Apply patch from Boris Egorov to fix bashisms (Closes: #772325)

See Also

Package Description
libmbt-dev_3.4-1_i386.deb memory-based tagger-generator and tagger - development
libmbt1_3.4-1_i386.deb memory-based tagger-generator and tagger - runtime
libmce-perl_1.838-1_all.deb Many-Core Engine for Perl providing parallel processing capabilities
libmckoisqldb-java-doc_1.0.6-2_all.deb Documentation for Mckoi SQL Database (MckoiSQLDB)
libmckoisqldb-java_1.0.6-2_all.deb Mckoi SQL Database (MckoiSQLDB)
libmcpp-dev_2.7.2-4+b2_i386.deb Alternative C/C++ preprocessor (development files)
libmcpp0_2.7.2-4+b2_i386.deb Alternative C/C++ preprocessor (shared library)
libmcrypt-dev_2.5.8-3.4_i386.deb De-/Encryption Library development files
libmcrypt4_2.5.8-3.4_i386.deb De-/Encryption Library
libmd-dev_1.0.1-2_i386.deb message digest functions from BSD systems - development files
libmd0_1.0.1-2_i386.deb message digest functions from BSD systems - shared library
libmdb2_0.7.1-6_i386.deb Core library for accessing JET / MS Access (MDB) files
libmdbsql2_0.7.1-6_i386.deb mdbtools SQL library
libmdc-dev_0.16.1+dfsg-1_i386.deb Medical Image (DICOM, ECAT, ...) conversion tool (development)
libmdc3_0.16.1+dfsg-1_i386.deb Medical Image (DICOM, ECAT, ...) conversion tool (library)
Advertisement
Advertisement